Page MenuHomePhabricator

Notice: Undefined index: file2 in includes/libs/CSSMin.php on line 460
Closed, ResolvedPublicPRODUCTION ERROR

Description

A couple of related errors in CSSMin.php

Notice: Undefined index: file2 in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 460
Notice: Undefined index: query2 in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 461

Even more:

`Notice: Undefined index: query in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 309`
`Notice: Undefined index: file in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 326`
`Notice: Undefined index: query in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 327`
`Notice: Undefined index: file in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 333`
`Notice: Undefined index: file in /srv/mediawiki/php-1.31.0-wmf.27/includes/libs/CSSMin.php on line 334`

Related Objects

Event Timeline

mmodell created this task.Apr 2 2018, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2018, 7:33 PM
mmodell triaged this task as Medium priority.Apr 2 2018, 7:43 PM
mmodell raised the priority of this task from Medium to High.Apr 2 2018, 9:31 PM

This is occuring at a fairly high rate even though we've only deployed to group1 wikis.

Change 423559 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@master] Check for undefined index.

https://gerrit.wikimedia.org/r/423559

Change 423561 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@wmf/1.31.0-wmf.27] Check for undefined index.

https://gerrit.wikimedia.org/r/423561

Change 423561 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.27] Check for undefined index.

https://gerrit.wikimedia.org/r/423561

mmodell updated the task description. (Show Details)Apr 2 2018, 10:14 PM

Change 423571 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@master] Don't leave file and query undefined

https://gerrit.wikimedia.org/r/423571

Change 423574 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@wmf/1.31.0-wmf.27] Don't leave file and query undefined

https://gerrit.wikimedia.org/r/423574

Change 423574 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.27] Don't leave file and query undefined

https://gerrit.wikimedia.org/r/423574

Restricted Application added a project: Performance-Team. · View Herald TranscriptApr 2 2018, 11:50 PM

Change 423571 abandoned by 20after4:
Don't leave file and query undefined

https://gerrit.wikimedia.org/r/423571

Change 423559 abandoned by 20after4:
Check for undefined index.

https://gerrit.wikimedia.org/r/423559

Change 423712 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@master] Check for unset array index and throw (so we can get a stack trace)

https://gerrit.wikimedia.org/r/423712

Problematic modules: {
    "skins.monobook.styles": "error"
}
Nikerabbit added subscribers: Isarra, ashley, matmarex.

It must be this thing in screen-common.less
.background-image-svg( 'images/headbg-gradient.svg', '' );
that produces
background-image: url('');
which then fails.

The code should just use .background-image. Introduced in Ie6f5b6b87b475953274688fc4640f9fa17184fa4.

I am not sure how CSSMin should handle this, I leave that to someone else.

In https://gerrit.wikimedia.org/r/#/c/423712/ I've been trying to make a test case that asserts an exception but I can't seem to reproduce the bug.

I still can't trigger the error even with .background-image-svg( 'images/headbg-gradient.svg', '' ); but perhaps I'm just not doing it right.

Ok now I've got a good test case.

Change 424035 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/skins/MonoBook@master] Use background-image instead of .background-image-svg

https://gerrit.wikimedia.org/r/424035

Change 424041 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/skins/MonoBook@wmf/1.31.0-wmf.28] Use background-image instead of .background-image-svg

https://gerrit.wikimedia.org/r/424041

mmodell added a subscriber: Krinkle.Apr 4 2018, 7:27 PM

This is the #1 and #2 logspammer right now and we're only on group 1:

messageCount
Notice: Undefined index: file2 in /srv/mediawiki/php-1.31.0-wmf.28/includes/libs/CSSMin.php on line 460134
Notice: Undefined index: query2 in /srv/mediawiki/php-1.31.0-wmf.28/includes/libs/CSSMin.php on line 461129
Notice: Undefined index: subtitle in /srv/mediawiki/php-1.31.0-wmf.27/extensions/Collection/templates/CollectionPageTemplate.php on line 669

@Krinkle I'd like to merge https://gerrit.wikimedia.org/r/#/c/423712/ and/or https://gerrit.wikimedia.org/r/#/c/424041/ to resolve the logspam which is now affecting 1.31.0-wmf.28. Would you mind giving it a code review?

@mmodell Your MonoBook patch https://gerrit.wikimedia.org/r/424035/https://gerrit.wikimedia.org/r/424041 looks good to me, I'm merging it on master and I support backporting it.

Change 424035 merged by jenkins-bot:
[mediawiki/skins/MonoBook@master] Use background-image instead of .background-image-svg

https://gerrit.wikimedia.org/r/424035

I'm not sure why it's failing CI

Change 424041 merged by jenkins-bot:
[mediawiki/skins/MonoBook@wmf/1.31.0-wmf.28] Use background-image instead of .background-image-svg

https://gerrit.wikimedia.org/r/424041

mmodell closed this task as Resolved.Apr 4 2018, 8:24 PM
mmodell claimed this task.

Change 423712 merged by jenkins-bot:
[mediawiki/core@master] CSSMin: Don't match empty string as remappable url

https://gerrit.wikimedia.org/r/423712

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM